ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs | Functions
HTTPClientWrapper.h File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <memory.h>`
`#include <stdio.h>`
`#include <ctype.h>`
`#include <time.h>`

Go to the source code of this file.

## Macros
#define | _HTTP_BUILD_WIN32
#define | HTTP_ECONNRESET (WSAECONNRESET)
#define | HTTP_EINPROGRESS (WSAEINPROGRESS)
#define | HTTP_EWOULDBLOCK (WSAEWOULDBLOCK)
#define | IToA HTTPWrapperItoa
#define | GetUpTime HTTPWrapperGetUpTime
#define | SocketGetErr HTTPWrapperGetSocketError
#define | HostByName HTTPWrapperGetHostByName
#define | InitRandomeNumber HTTPWrapperInitRandomeNumber
#define | GetRandomeNumber HTTPWrapperGetRandomeNumber
#define | VOID void
#define | NULL 0
#define | TRUE 1
#define | FALSE 0
#define | HTTP_INVALID_SOCKET (-1)

## Typedefs
typedef unsigned int | UINT32
typedef int | INT32
typedef char | CHAR
typedef unsigned short | UINT16
typedef int | BOOL
typedef unsigned long | ULONG
typedef struct sockaddr_in | HTTP_SOCKADDR_IN
typedef struct timeval | HTTP_TIMEVAL
typedef struct hostent | HTTP_HOSTNET
typedef struct sockaddr | HTTP_SOCKADDR
typedef struct in_addr | HTTP_INADDR

## Functions
int | HTTPWrapperIsAscii (int c)
int | HTTPWrapperToUpper (int c)
int | HTTPWrapperToLower (int c)
int | HTTPWrapperIsAlpha (int c)
int | HTTPWrapperIsAlNum (int c)
char * | HTTPWrapperItoa (char *buff, int i)
void | HTTPWrapperInitRandomeNumber ()
long | HTTPWrapperGetUpTime ()
int | HTTPWrapperGetRandomeNumber ()
int | HTTPWrapperGetSocketError (int s)
unsigned long | HTTPWrapperGetHostByName (char *name, unsigned long *address)
int | HTTPWrapperShutDown (int s, int in)
int | HTTPWrapperSSLConnect (int s, const struct sockaddr *name, int namelen, char *hostname)
int | HTTPWrapperSSLNegotiate (int s, const struct sockaddr *name, int namelen, char *hostname)
int | HTTPWrapperSSLSend (int s, char *buf, int len, int flags)
int | HTTPWrapperSSLRecv (int s, char *buf, int len, int flags)
int | HTTPWrapperSSLClose (int s)
int | HTTPWrapperSSLRecvPending (int s)

## Macro Definition Documentation

#define _HTTP_BUILD_WIN32

#define FALSE 0

#define GetRandomeNumber HTTPWrapperGetRandomeNumber

#define GetUpTime HTTPWrapperGetUpTime

#define HostByName HTTPWrapperGetHostByName

#define HTTP_ECONNRESET (WSAECONNRESET)

#define HTTP_EINPROGRESS (WSAEINPROGRESS)

#define HTTP_EWOULDBLOCK (WSAEWOULDBLOCK)

#define HTTP_INVALID_SOCKET (-1)

#define InitRandomeNumber HTTPWrapperInitRandomeNumber

#define IToA HTTPWrapperItoa

#define NULL 0

Referenced by ZenLib::BitStream::BitStream(), ZenLib::BitStream_Fast::BitStream_Fast(), and ZenLib::BitStream_LE::Get().

#define SocketGetErr HTTPWrapperGetSocketError

#define TRUE 1

#define VOID void

## Typedef Documentation

typedef int BOOL

typedef char CHAR

typedef struct hostent HTTP_HOSTNET

typedef struct in_addr HTTP_INADDR

typedef struct sockaddr HTTP_SOCKADDR

typedef struct sockaddr_in HTTP_SOCKADDR_IN

typedef struct timeval HTTP_TIMEVAL

typedef int INT32

typedef unsigned short UINT16

typedef unsigned int UINT32

typedef unsigned long ULONG

## Function Documentation

unsigned long HTTPWrapperGetHostByName | ( | char * | name,
|  | unsigned long * | address
| ) |  |

int HTTPWrapperGetRandomeNumber | ( |  | ) |

int HTTPWrapperGetSocketError | ( | int | s | ) |

long HTTPWrapperGetUpTime | ( |  | ) |

void HTTPWrapperInitRandomeNumber | ( |  | ) |

int HTTPWrapperIsAlNum | ( | int | c | ) |

int HTTPWrapperIsAlpha | ( | int | c | ) |

int HTTPWrapperIsAscii | ( | int | c | ) |

char* HTTPWrapperItoa | ( | char * | buff,
|  | int | i
| ) |  |

int HTTPWrapperShutDown | ( | int | s,
|  | int | in
| ) |  |

int HTTPWrapperSSLClose | ( | int | s | ) |

int HTTPWrapperSSLConnect | ( | int | s,
|  | const struct sockaddr * | name,
|  | int | namelen,
|  | char * | hostname
| ) |  |

int HTTPWrapperSSLNegotiate | ( | int | s,
|  | const struct sockaddr * | name,
|  | int | namelen,
|  | char * | hostname
| ) |  |

int HTTPWrapperSSLRecv | ( | int | s,
|  | char * | buf,
|  | int | len,
|  | int | flags
| ) |  |

int HTTPWrapperSSLRecvPending | ( | int | s | ) |

int HTTPWrapperSSLSend | ( | int | s,
|  | char * | buf,
|  | int | len,
|  | int | flags
| ) |  |

int HTTPWrapperToLower | ( | int | c | ) |

int HTTPWrapperToUpper | ( | int | c | ) |